/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.PtoVtaUsuarioBancarioDAO;
import com.rjconsultores.ventaboletos.entidad.PtoVtaUsuarioBancario;
import com.rjconsultores.ventaboletos.service.PtoVtaUsuarioBancarioService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Desenvolvimento
 */
@Service("ptoVtaUsuarioBancarioService")
public class PtoVtaUsuarioBancarioServiceImpl implements PtoVtaUsuarioBancarioService {

    @Autowired
    private PtoVtaUsuarioBancarioDAO ptoVtaUsuarioBancarioDAO;

    public List<PtoVtaUsuarioBancario> obtenerTodos() {
        return ptoVtaUsuarioBancarioDAO.obtenerTodos();
    }

    public PtoVtaUsuarioBancario obtenerID(Integer id) {
        return ptoVtaUsuarioBancarioDAO.obtenerID(id);
    }

    @Transactional
    public PtoVtaUsuarioBancario suscribir(PtoVtaUsuarioBancario entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptoVtaUsuarioBancarioDAO.suscribir(entidad);
    }

    @Transactional
    public PtoVtaUsuarioBancario actualizacion(PtoVtaUsuarioBancario entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptoVtaUsuarioBancarioDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(PtoVtaUsuarioBancario entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        ptoVtaUsuarioBancarioDAO.actualizacion(entidad);
    }

    public void borrarFisico(PtoVtaUsuarioBancario pto2) {
        ptoVtaUsuarioBancarioDAO.borrarFisico(pto2);
    }
}
